/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.comLib;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：业务组件库组件列表
*
* createdate:  2022-12-06 11:42:09  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件库组件列表")
public class LibraryBusComInfoQueryDto extends TenantPartition implements Serializable
{
    /**
     * 组件名称<br>
     */
    @ApiModelProperty("组件名称")
    private String comName;
    /**
     * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    private String createdBy;

    /**
     * 入库状态0-未审核，1-已入库，2-不通过<br>
     */
    @ApiModelProperty("入库状态0-未审核，1-已入库，2-不通过")
    private Integer libStatus;

    /**
     * 目录ID<br>
     */
    @ApiModelProperty("选择的目录id")
    private String treeId;

    private String tenantId;
    private List<String> treeIds;
    private List<String> userIds;

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Integer getLibStatus() {
        return libStatus;
    }

    public void setLibStatus(Integer libStatus) {
        this.libStatus = libStatus;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public List<String> getTreeIds() {
        return treeIds;
    }

    public void setTreeIds(List<String> treeIds) {
        this.treeIds = treeIds;
    }

    public List<String> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<String> userIds) {
        this.userIds = userIds;
    }
}